= 2.0.0.69 =
* Fixed some W3 validation issues - FIXED
* Admin tooltips can break image upload buttons - FIXED

= 2.0.0.68 =
* Validate register user during add listing from frontend - FIXED
* Enfold theme default layout & sidebar settings is not working - FIXED
* WPML translation not working for strings defined via variable - FIXED
* Custom field date shows un-translated date - FIXED
* Option added to set post images widget title - ADDED
* Option added in map widget/shortcode to tick/untick categories on the map - ADDED
* Exclude GD template pages from Yoast XML page sitemap - ADDED
* Rank Math SEO not detecting GD fields - FIXED
* Add listing by logged out user not working in incognito mode - FIXED
* Rescue category redirect url adds location twice - FIXED
* %%in_location_single%% is not working on detail page meta title - FIXED
* Map widget/shortcode doesn't show filtered listings on non GD pages - FIXED
* Post badge add support for post modified date - ADDED
* ffmp theme shows incorrect titles on GD pages - FIXED
* Ninja contact form sometimes not finding the post id and email fails - FIXED
* Better integration with Fusion builder, all items now also fusion items - ADDED

= 2.0.0.67 =
* Fail to save feature image for new listing when post revision is enabled - FIXED
* Post link not working in email sent to admin on post edit - FIXED
* Post badge does not supports category and tags - FIXED
* Option added in gd_categories widget/shortcode to CPT title - ADDED
* Rank Math SEO option overwrites Yoast SEO option - FIXED
* Filter GD Categories widget get terms args - ADDED
* Rank Math plugin sitemap image count wrong for GD listings - FIXED
* Post Images widget now has `fallback_types` that can be set - ADDED
* Post Images widget can now generate screenshots of url fields by appending `_screenshot` eg: website_screenshot - ADDED
* Delete subsite removes data from main site on multisite network - FIXED
* CPT type post class not set to ajax listings - FIXED
* Custom field accepts script tags - FIXED
* Business hours option added to show next day closing - FIXED
* Network subsite shows countries table does not exist error - FIXED
* Added a new pre-defined field "Distance To" - ADDED
* Enfold theme builder color section not working on GD template - FIXED
* Custom field option values always shows option uppercase first - FIXED

= 2.0.0.66 =
* GD post favourites widget issue for icon option - FIXED
* Timezone API requests exposes the API key - FIXED
* Setup wizard moved to later hook so is_block_editor() method can be used - FIXED
* Category map icon no longer required when adding a category - CHANGED
* Category map icon will be auto-generated if empty and Font Awesome icon is set - ADDED
* Default map marker updated to new icon - CHANGED
* Custom price field does not shows currency symbol for decimal data type - FIXED
* Category should be auto selected/checked for a single category - CHANGED
* Output location fieldset's with child elements will only be output if child elements have content - CHANGED
* Import post not showing error for non GD post type - FIXED
* Beaver themer layout not working with GD widgets - FIXED
* Directory map not showing child categories for empty parent category - FIXED
* If Google maps is disabled then use OpenStreetMap API to get GPS data during import - ADDED
* Genesis theme listing detail page shows incorrect meta title - FIXED
* [gd_post_meta] shortcode location parameter is not working - FIXED
* Going away from edit listing page always shows popup warning about unsaved changes - FIXED
* The7 theme compatibility for GD pages - FIXED
* Ninja forms widget now has option to output the form direct, can be used in sidebar or in tab - ADDED
* Include post images in Rank Math sitemap - ADDED

= 2.0.0.65 =
* Jarida theme compatibility for GD page sidebars - FIXED
* Business hours timepicker translation not working on first load - FIXED
* GeneratePress theme not showing correct SEO meta on detail page - FIXED
* Listimia theme shows default page title for GD archive pages - FIXED
* Widget shows logo image even it disabled via package - FIXED
* GD Single Tabs, widget now has option to output head and body separately - ADDED
* Category default image not working when category imported via csv - FIXED
* Jupiter theme GD page sidebars not working - FIXED
* AJAX listings pagination not working is email allowed to show on listings - FIXED
* Newspaper theme sidebar position not working on GD pages - FIXED
* Duplicate image slider id breaks ajax image slider - FIXED
* Helper function to check if a given listing has a custom field - ADDED
* Rank Math SEO plugin compatibility settings - ADDED

= 2.0.0.64 = 
* Beaver Builder content does not work for archive item template - FIXED
* Autocomplete search result selection looses street number for some locations - FIXED
* Option added to add Geocoding API key - ADDED
* Allow to choose Font Awesome pro icons for active Pro subscription - ADDED
* IE displays bg image over listing content - FIXED
* GD Map allows to filter listings by tags - ADDED
* Change country name "Russian Federation" to "Russia" - CHANGED
* Missing required field error may results in JavaScript error - FIXED
* Link in no posts found message redirects to wrong add listing post type page - FIXED
* Listings widget list view not setting as widget checks for empty value - FIXED
* Changes for location queries for GPS position - CHANGED
* Post SMTP plugin conflicts with GD post save - FIXED

= 2.0.0.63 =
* Image import for old posts can set the wrong image url for the featured image - FIXED
* Ability to add captions to the images slider - ADDED
* Recent reviews widget does not display the correct number of reviews - FIXED
* Apostrophe in title or caption wipes out the rest of the title/caption - FIXED
* Sort by images is not working - FIXED
* Custom Sidebars plugin compatibility - ADDED
* Support added for image/webp type image upload - ADDED
* GD Pages shows blank content when page not setup with Divi page builder - FIXED
* Not able to setup GD search page with Divi page builder - FIXED
* Individual word search limit shows unexpected results - FIXED
* MightyMag theme compatibility for GD pages - ADDED
* Sticky map not working with OpenStreetMap - FIXED
* Add listing tags not showing popular tags at top of the list - FIXED
* Enfold theme shows wrong title for GeoDirectory pages - FIXED
* Avada theme compatibility for GD page sidebars - FIXED
* Unable to save empty post tags - FIXED
* Map post types slider not working in mobile devices - FIXED
* GD > Single Reviews widget added that can show the comment/reviews section on the details page - ADDED
* New GeoDir_Hints class introduced which will show setup hints to admins throughout the site - ADDED
* Some WP_POST_REVISIONS settings can cause issues with first save on post added from wp-admin - FIXED

= 2.0.0.62 =
* GD Archive pages not rendering shortcodes when Elementor is active - FIXED
* Ratings in listing view should be on its own line if placed after a gd_post_badge - CHANGED
* Location filter enabled on location page default content gd_listings - CHANGED
* Default view for archive page on install changed to Grid view 2 - CHANGED

= 2.0.0.61 =
* Polifill for CSS object-fit in browsers that don't support it - Added
* Prevent saving custom fields found in array of standard fields - ADDED
* Optional Address line 2 field added, can be enabled under address field - ADDED
* Classifieds dummy content - ADDED
* "Kingstudio" theme compatibility for gd pages sidebar - ADDED
* Frontend edit post screen now shows restricted message if not allowed to edit - ADDED
* Translation for "May" month abbreviation shows incorrect date - FIXED
* 404 rescue setting not working for translated CPT slug - FIXED
* Changed external API for IP to location to a more reliable one - CHANGED
* WP Country Database lib updated to 1.0.3 - CHANGED
* Customizr Pro theme does not locates the GD templates - FIXED
* Genesis theme pagination conflicts with GD Listings pagination on mobile devices - FIXED
* Allow to reset the custom field value of the select box - ADDED
* Elementor content not used for archive item template - FIXED
* Yoast breadcrumbs not showing category on GD category pages - FIXED
* Post Address widget sometimes not showing the neighbourhood - FIXED
* GeneratePress theme page layout compatibility - ADDED
* Removed "other emails" settings section which is no longer in use - REMOVED
* Grid view 1 added to Listing and Loop widget - ADDED
* Layout=1 in loop widget is now used for grid view 1 and layout=0 is used for list view (upgrade rectifies default content) - BREAKING CHANGE
* Font Awesome Pro now supported - ADDED
* Font Awesome Kits now supported - ADDED
* Import listings post_date should supports d/m/Y date format - CHANGED
* Post Badge widget can now open links in lightbox if class "gd-lity" is used - ADDED
* Post Badge widget price fields used will now be price formatted - CHANGED
* Category font awesome icons have extra fas class on output which can break brands - FIXED
* Category widget not respecting max_level param - FIXED

= 2.0.0.59 =
* GD Listings widget title not working with pagination - FIXED
* Some fields are not stripping slashes - FIXED
* Include post date in exported files - ADDED
* "Unicon" theme compatibility for gd pages - ADDED
* Post Address widget now supports %%post_title%% - ADDED
* Sometimes when post revision is restored comment counts are reset to zero - FIXED
* $post_temp data is set to null for non GD posts to prevent issues when both inserted in same POST request - CHANGED
* Slider visible number sometimes not returning number which can cause ajax loading to break - FIXED
* Post images gallery has empty whitespace on the right in mobile - FIXED
* Business hours default offset should not account for DST - FIXED

= 2.0.0.58 =
* Sometimes distance value not showing on search page - FIXED
* Search with zip returns wrong address with OpenStreetMap - FIXED
* Badge not working for address field - FIXED
* Display email not working in elementor preview - FIXED
* Categories widget looses location on CPT switch - FIXED
* New non single use predefined custom fields should have ability to change field key - FIXED
* Post images widget can now be used as a carousel by setting the limit_show value when used as a slider - ADDED
* Sample CSV file updated to show new image format separator :: instead of , - FIXED
* Class geodir-featured added to body class if post is featured - ADDED
* Under certain settings configurations a user without editor privileges can set post status to revision - SECURITY

= 2.0.0.57 =
* Image extension with uppercase not showing in backend - FIXED
* Recently viewed widget can break single page slider in some cases - FIXED
* Recently viewed widget setting added to load slider script if archive item has slider - ADDED

= 2.0.0.56 =
* Genesis theme not using h1 tags for archive page titles - FIXED
* GD SEO titles should still be used even if Yoast is installed - CHANGED
* Update jQuery FlexSlider to v2.0.2 - CHANGED
* BCC option missing for emails of the listing submitted for pending review - FIXED
* Frontend delete listing should refresh page on success - CHANGED
* Link is broken in phone badge - FIXED
* Business hours default offset should not use DST (Daylight Savings Time) in add listing - FIXED
* Category FA icon and color not cleared on save - FIXED
* Post Address widget alignment argument changed to mean float positioning - CHANGED
* Post meta and post address now have alignment and text-alignment arguments - ADDED
* Post images widget thumbnail size now forces that size instead of responsive - CHANGED
* Removed some leftover JS for removed chosen select - FIXED
* Map sticky option added now using font awesome icon and local-storage for settings - ADDED
* Google static map option added for single post map - ADDED
* Some text custom field types not applying validation pattern - FIXED
* Post images now uses image cover by default and gives option to change to x,y or none - CHANGED/ADDED
* Post images limit_show param added, this can be used to hide some images in gallery output but still load them via lightbox - ADDED
* Permalink issue with %post_id% rewrite tag - FIXED
* CPT + neighborhood urls shows 404 page not found - FIXED
* "Betheme" theme compatibility for gd pages - ADDED
* On some themes link of page 1 of GD Listing pagination not working - FIXED
* CPT tabs shortcode section can now accept post variables like [my_custom_shortcode id="%%facebook_id%%" ] - ADDED
* Post badge widget can now use any custom field in the badge text - ADDED
* CSS changes to try and better embed videos responsively - CHANGED
* Add listing widget now has param to set the container it will replace after submit - ADDED
* Divi builder shortcodes not rendered via some ajax calls - FIXED
* Elementor theme template not working correctly on GD search archive - FIXED
* HTML field script contend can be broken due to wpautop running after do_shortcode - FIXED
* GD Listings allows to filter listings by tags, favorited by user - ADDED
* Page default content can now be filtered so to be changed by theme or plugins - ADDED
* Improve UX for title and caption on images - ADDED
* Comma in Title (or description) of image caption wipes content after comma - FIXED
* WooCommerce PayPal Checkout Gateway conflict breaks with map marker popup - FIXED
* Fullstop in title or caption causes image preview to disappear - FIXED
* Non relative urls for icon breaks markers on map - FIXED
* Changes for Yoast breadcrumbs to include categories in details page - CHANGED
* Post images widget can now output different types of images like icon and comment_images - CHANGED
* Issue in rescue old tags url to prevent 404 error - FIXED
* Search page is broken when Flatsome theme active - FIXED

= 2.0.0.55 =
* "Elvyre - Retina Ready Wordpress Theme" layout compatibility for detail & archive pages - ADDED
* Geodir_Session class called in other addons can cause issues on frontend before upgrade - FIXED
* Transparent image multiratings not displaying right on less than full score - FIXED
* Post badge now has item specific classes - ADDED
* added some badge classes for extra features - ADDED
* OpenStreetMap map icon position not relative to zoom level - FIXED
* Conversion script can set categories to select instead of multiselect - FIXED

= 2.0.0.54 =
* Ninja Form looses post id and shows incorrect post title - FIXED
* Added some more deprecated functions to prevent undefined function errors - ADDED
* Update warning text added to readme change log section - ADDED
* Changed .hidden class to .gd-hidden to prevent conflicts - CHANGED

= 2.0.0.53 =
* Post author meta info missing closing wrapper div - FIXED
* Meta excerpt not being trimmed, now trimmed to default excerpt length of 55 words - FIXED

= 2.0.0.52 =
* Added some deprecated functions to prevent redeclare function error after update - FIXED
* Bumped PHP min version to 5.6 (new WP standard) - INFO

= v2.0.0.51 =
* First release of v2 on wp.org - INFO

v2.0.0.50
"Clear version numbers" tool should clear countries db version - ADDED
GD Listings block advanced settings breaks due to paging settings - FIXED
GD Listings view all link not working if multiple categories set - FIXED
Ninja Forms send message changed to show all fields (current forms should change message to include {all_fields_table} ) - CHANGED
Post meta address not using the custom field settings to hide address parts - FIXED
Post badge not replacing %%post_url%% correctly  - FIXED
Required message not editable until custom field saved - FIXED
Validation pattern extended to phone,email and url type fields - ADDED
Avada theme not using GD titles - FIXED
Recently viewed widget not checking for deleted post IDs - FIXED
Child fields disappears after saving fieldset - FIXED

v2.0.0.49
Front end author actions - After delete, page is 404 - FIXED
No map icon validation on edit cat - FIXED
Rating input not working from admin area edit comment screen - FIXED
Change for SEOPress caused Beaver builder issues on search page - FIXED
Post meta widget shows excluded fields from package - FIELD
Beaver Builder :: Added warning message to template pages to say best to use Beaver Themer - ADDED
If reviews disabled comment counts can be wrong for standard comments - FIXED
If reviews are disabled the standard comments form can sometimes show twice - FIXED
Themify ultra theme has JS conflict on admin add listing page - FIXED
Details page now adds the default id as a body class - ADDED
Pending posts count numbers will now show next to the CPT admin menu item - ADDED
Email settings subject and body placeholder text - ADDED
No listings found message should contain add listing link - ADDED
Email settings subject and body placeholder text now editable - ADDED
Post Badge widget can now use %%post_url%% replacement param - ADDED
Map widget will now hide CPT if it has no published posts - CHANGED
Light-box gallery now supports keyboard arrow navigation - ADDED
Post Badge block not showing color selected in some browsers - FIXED
New Widget added `gd_post_content` that allows to show text from textareas - ADDED
GD Archive Item default content changed to use new gd_post_content widget - CHANGED
GD custom permalinks without trailing slash will not save - FIXED
File custom fields data not converted properly during v1 to v2 conversion - FIXED
Genesis theme GD search page is broken - FIXED
Disable details page featured image setting can affect other post featured images on the details page - FIXED
Some post widgets now include options to hide primary and secondary info per list view - ADDED
Archive item page default content updated to work with hide content per list view - CHANGED
Cornerstone builder now supported - ADDED
New Widget added `gd_post_address` that allows you to output the address formatted as you want it - ADDED
Ajax pagination added in GD Listings widget/shortcode - ADDED
Import export posts change non-standard post status - CHANGED
geodir_file_relative_url() should check for www. - FIXED
Shortcode inserter button now shows in more places in builders - ADDED
Avia builder for Enfold theme now supported - ADDED
Prevent SSL certificate related issues during image upload - FIXED
Improved tag search and exact search using quotes for "multiple words" - CHANGED
Some standard post meta added to GD post meta widget like, post_author, post_date and post_date_modified - ADDED
v1 to v2 conversion now gives the option to downgrade back to v1 if customer is not ready yet - ADDED
Allow business hours input format to use WP time format settings - CHANGED

v2.0.0.48
Customify theme page layout compatibility settings added - ADDED
Ninja Forms conflicts backend on add/edit pages - FIXED
Listings + Location pages shows extra comma in meta title - FIXED
Beaver builder + Ninja forms can cause issues with compatibility settings - FIXED
Astra theme page layout compatibility settings added - ADDED
Newspaper theme page layout compatibility settings added - ADDED
Enfold theme page layout compatibility settings added - ADDED
Kleo theme page layout compatibility settings added - ADDED
Genesis theme page layout compatibility settings added - ADDED

v2.0.0.47
Edit post permalink button missing so not able to edit single permalink - FIXED
Radio button and text overlap on add listing page - FIXED
Twitter feed custom field no longer working - FIXED
Latest compatibility settings caused issue with some builders - FIXED

v2.0.0.46
Some custom fields should store is_default = 0 during v1 to v2 conversion - FIXED
Map markers not loading on tags page when show all posts enabled - FIXED
_x() does not translates string - FIXED
​Unable to translate business hours timepicker texts - FIXED​
​Unable to translate some strings - FIXED
​Review star not showing in OSM map popup - FIXED​
Post preview not showing map correctly if status is `auto-draft` - FIXED
Added no cache headers to the add listing page - ADDED
Added check to the save images function that the post exists first - ADDED
Comment cache not being cleared on add/edit/update - FIXED
Selects and radio inputs not showing as selected for zero (0) values - FIXED
Multi-select not fully deselecting for empty values - FIXED
Set some pages to use the page template metadata for better theme compatibility - CHANGED
Search conflicts with SEOPress plugin - FIXED
Image lightbox nav and caption should always be visible on mobile devices - FIXED
Disabling Yoast in GD settings can disable description on homepage - FIXED
Changing layout of [gd_loop] is not reflected instantly to the admin - FIXED
Switching CPT in search form looses searched location - FIXED
Google Map bubble not working after Google round infoWindow update - FIXED
Same field id causes issue in add listing file upload - FIXED
Listing image upload issue when object cache enabled - FIXED
Newspaper theme not setting page titles from correct hook - FIXED
Error "json file is not valid" during import settings - FIXED
Using value VARCHAR in post request may break custom field save - FIXED
Noindex on empty archive pages not working on page with one post - FIXED
gd_listings shortcode parameter title_tag is not working - FIXED
gd_listings shortcode new parameter view_all_link added - ADDED
Font awesome settings icons updated to 5.7.2 - UPDATED
Beaver Builder not working on search page - FIXED
Option added in textarea fields to allow embed media urls - ADDED

v2.0.0.45
Listing without author assigned always shows author actions widget - FIXED
Video not rendering from video link - FIXED
Post preview not showing new images added - FIXED
Post preview not showing map correctly - FIXED
Force iOS style scroll bars on multiselect form inputs so they are noticeable on mobile - CHANGED
Some settings for selecting font awesome icons are not showing all icons - FIXED
Font awesome settings icons updated to 5.6.3 - UPDATED
Added missing custom notice view file - FIXED
Date range options added to date custom field - ADDED
Date of birth added as a predefined field - ADDED
delete_attachment() not deleting all image sizes - FIXED
Clear search near not clearing GPS info if on search page - FIXED
RTL style file not found - FIXED
Added warning notice if buddypress is active and hijacking search slug - ADDED
File upload input sometimes not getting correct post ID on add listing form - FIXED
Internal changes to post_badge function to enable it to be used by other addons - CHANGED
Submit listing button now shows spinner and disables button when saving - CHANGED
Compatibility changes for List Manager addon - ADDED
X theme archive titles not working - FIXED
API for posts not filtering for location params - FIXED
Tags with spaces can now be searched for in quotes ex: "Sample Tags" - ADDED

v2.0.0.44
Astra theme archive page layout compatibility - ADDED
Astra theme GD search page meta title setting not working - FIXED
Load default template if page is 404 - FIXED
GD Listings widget special offers option is missing - FIXED
Post badge external urls are now nofollow - CHANGED
Slider carousel images now use thumbnail size for consistency - CHANGED
GD listings widget now has option to filter by default_category only - ADDED
GD listings widget now has option to filter post IDs - ADDED
HTML custom field stripping html tags from default value - FIXED
GD Listings widget not working across CPT with sort by to nearest option - FIXED
Review count not reflecting on listing page - FIXED
Added option in GD page settings to view default content - ADDED
Image name with upper case file extensions (JPG) not importing - FIXED
Checkbox and radio admin setting in FireFox are 100% width - FIXED
Some GD pages removed from WP page settings so not to be able to break things - CHANGED
Textarea field output renders detail page tabs - FIXED
CURL call replaced with wp_remote_get() - CHANGED
WP_POST_REVISIONS can cause backend new posts to not save custom fields - FIXED
Changes for custom maps OSM layer api key - CHANGED
SiteOrigin page builder compatibility changes - ADDED
Decimal and Int custom fields can be given a zero (0) value when submitted empty - FIXED
Elementor pro archive templates not fully working with post archive element - FIXED
Term icon cache not cleared when installing dummy data - FIXED
Map module refactored to allow category includes and excludes via category IDs - CHANGED
GD tool "Term counts" not updating term counts - FIXED
REST API listing response does not contains content field - FIXED
GD Archive page links to blank page - FIXED
the7 theme Search page not working due to the_content filter and current_post var - FIXED
Pricing Manager can cause no post author for posting while logged out - FIXED
GD Extension screen now fully enabled, with our WP Easy Updates, any addon or theme can be installed with just your membership key - ADDED

v2.0.0.43
Post badge and is_empty check not working in some cases - FIXED
Post badge post_class now also adds class with condition - ADDED
Permalinks category base now required to keep permalinks to WordPress standards and avoid conflicts - CHANGED

v2.0.0.42
Selecting detail custom page template shows comment box twice - FIXED
Added editor styles to help Gutenberg Blocks UI - ADDED
Newly added Blocks have checkbox values ticked by default even if not set to do so - FIXED
OSM sometimes not loading automatically in countries where Google is blocked - FIXED
Cannot un-select all tags in add listing form - FIXED
User avatar overlaps some text in dashboard recent reviews widget - FIXED
Save custom field generates incorrect field key if not inserted - FIXED
On page refresh detail page map not loading if map tab is active - FIXED
404 rescue function sometimes not picking up a post_type from query vars - FIXED
Added geodirectory-single.php as option to override single template - ADDED
Post badge now has option to open link in new window and input or class wrapper - ADDED
Changes for Marker Cluster addon v2 - ADDED

v2.0.0.41
GD Listings widget sorting not showing custom sorting options - FIXED
Category import does not assign parent category - FIXED
Full screen map not working properly - FIXED
Archive item section block not working as its being wrapped in a div - FIXED
Some changes for Elementor page builder compatibility added - ADDED


v2.0.0.40
Font Awesome Setting class updated to check if url is CSS or JS - UPDATED
Custom field icon output prefixing `fas` as a class which can break branding icons - FIXED
CPT default image not being used as a fallback image - FIXED
It saves default location to listing - FIXED
gd_map shortcode not showing all post markers for category search when enabled all_posts=1 - FIXED
GD Listings widget option "Hide widget if not posts" not working - FIXED
Add srcset to lightbox images to allow it to user larger images if available - ADDED
Changes for reCaptcha addon integration - ADDED
Recently viewed widget/block/shortcode added that shows the listings the user has recently viewed - ADDED

v2.0.0.39
Hook added to validate frontend add listing - ADDED
Link posts data not converted during v1 to v2 conversion - FIXED
Map pinpoint not working - FIXED
Near location search not showing results if query has GROUP BY clause - FIXED
Map setting show all on archive pages not working on CPT pages - FIXED
Random sort order now seeded for 24 hours so to improve query speed and allow paging to work - CHANGED
post_author option added in [gd_listings] to filter listings by author - ADDED
[gd_output_location] shortcode not escaping square brackets - FIXED
Font Awesome settings class added, now support both CSS and JS versions - CHANGED

v2.0.0.38
File upload limit issue - FIXED
PHP allow_url_fopen = off may break import csv - FIXED
Error checking if wp_insert_term fails during dummy data insertion - ADDED
Unable to add duplicate sort items for asc/desc - FIXED
gd_post_images widget now has option to set the specific image size - ADDED
Option added to add `noindex` tags to empty GD archive pages - ADDED
Post badge widget text can now accept HTML so for example font awesome icons can be used - ADDED
CPT slug not allowing - dash - FIXED
WP Super Duper lib updated to work with latest Gutenberg JS - FIXED
Textarea custom field html editor setting not working - FIXED
Map loads markers from non-requested CPT on multilingual site - FIXED
Conflict with select2 basic version loaded via 3rd party plugins - FIXED
First image of slider not loading srcset which can make it load the wrong size image - FIXED
WP5.0 changed hook name which made GD post types not editable from backend - FIXED
Shortcode [gd_single_closed_text] deprecated, use [gd_notifications] instead - CHANGED

v2.0.0.37
If reviews not used in tabs then the #reviews anchor links no longer work - FIXED
gd_listings related_to can still show the current listing  - FIXED
Import csv shows invalid csv file error - FIXED

v2.0.0.36
v1 to v2 conversion instructions improved - UPDATED
Edit add listing page not loading with Beaver Builder - FIXED
Countries table lib checking empty on non variable - FIXED
Changes to loop widget for Beaver Builder themer layouts - CHANGED
Themes calling the_content or the_excerpt outside the loop can cause no posts to show - FIXED
Post Badge widget can now use %%input%% text and also has option to add link - ADDED
Recent reviews widget now has option to set the minimum rating of reviews to show - ADDED
get_post_meta() can now get GD post fields if meta_key is prefixed with `geodir_` - ADDED
Author action should not show on post preview page - FIXED
Attachments not updating from revision ID - FIXED
Temp upload files not being deleted immediately - FIXED
Some title and meta SEO %%tags%% not showing - FIXED
No way to change title separator for GD pages title - FIXED
Map child categories show/hide toggle not working - FIXED

v2.0.0.34
Added extra checks for pre_get_posts filters that were breaking some beaver builder template queries - CHANGED
Status tool check is countries table is geodir prefixed when it should not - FIXED
Search radius settings not filtering the results - FIXED
Search can set lat/lon when not needed - FIXED
Map popup CSS changes to allow content to fully scroll - CHANGED

v2.0.0.33
Image slider fade effect not floating the images left - FIXED
Map widget now has option to use post map zoom and type set on add listing page - ADDED
Options added to make authors post and favorites public or private - ADDED
Distance to calculation will now link to the get directions link if show on the details page - ADDED
Near searches with empty search query not returning results - FIXED
TinyMCE editor sometimes not saving if used in visual mode - FIXED
New custom fields can have the wrong sort order when added - FIXED
Copy shortcode to clipboard button not working - FIXED
File custom field can sometimes not show the saved files - FIXED
Location search and then category search could direct to the wrong url - FIXED
Beaver builder can break if GD listings widget used on page - FIXED
Adding a new image and not saving can cause other images not to show - FIXED
Changes for payment manager compatibility - ADDED
Details design setting using user email settings filter slug - FIXED
Upgrade from v1->v2 could cause the add listing page to have tow add listing shortcodes - FIXED

v2.0.0.32
Switching CPT on directory map not working - FIXED
GD page template hierarchy not working with some themes and not following WP defaults - FIXED
Added check for an fix for PHP bug #44780 for rendering timezone names wrong in +/-10 hours - FIXED
Changed for payment manager addon - CHANGED
Revisions can not be removed by user if an admin has started a revision of the same post - FIXED
Non-location cpt db table key error - FIXED

v2.0.0.30
Comments count sometimes only updated on edit not initial save - FIXED
Tags sometimes not searched for - FIXED
WP_POST_REVISIONS disabled or limited can cause backend saving to fail on new post - FIXED
Category input not saving properly if radio or text input type used - FIXED
You can now use the category default image in the category widget - ADDED
Leave comment link sometimes added to GD archive pages - FIXED
Close comments on GD archive pages - CHANGED
Categories widget/shortcode now uses max_count as the main limit and mac_count_child for sub cats - CHANGED

v2.0.0.29
Custom fields order can be broken if saved-moved-saved - FIXED
Add listing shortcode using default CPT instead of selected one - FIXED
Hiding the CPT on search can make advanced search use wrong post type - FIXED
Comment count can be cached when a new comment is posted - FIXED
Added theme support options for top sidebar - ADDED
Option added to maps widget to enable mouse-scroll zoom - ADDED

v2.0.0.28
Search adds all terms to query if search field is blank - FIXED
Category widget, hide icon option not working - FIXED
Sort by options added to dummy data insert - ADDED
Only show sort option is there are more than one - CHANGED
Deleted tag still displayed on the listing detail page - FIXED
Options added to select archive, archive item & details pages for each cpt from the cpt settings - ADDED

v2.0.0.27
Search not searching tags - FIXED
Comments section can sometimes show on the search page - FIXED
Show CPT selector options in search widget settings if more than one CPT exists - ADDED
Changing tab on details page now triggers window resize to adjust styles - ADDED
Featured image not properly delete on post delete - FIXED
Function to remove category parent slug could partially remove other url parts - FIXED
OSM cant handle geocode search of UK post codes missing the space - FIXED
Column looses the value after converting ENUM to TINYINT data type on upgrade - FIXED
404 rescue function added to try and automatically redirect GD 404s to their new permalink url - ADDED
Details page url can use wrong locations or category in url without showing a 404 - FIXED

v2.0.0.26
GD > Listings widget can sometimes add "View All" links to other widgets - FIXED
Changes for CPT addon compatibility - CHANGED

v2.0.0.25
is_slash() permalink method not working which could cause some urls to not end with a slash - FIXED
Listings published from wp-admin can send wrong category in url of email to users - FIXED
New post preview going to 404 for logged in users - FIXED
Kleo theme not using GD titles - FIXED

v2.0.0.24
Changing CPT slug does not change the slug in the search bar for API - FIXED
Media table added `other_id` column which can be used to filter things quickly - ADDED
Genesis theme archive pages broken if excerpt limited - FIXED
Favourites not showing on author page if the user is not the author - FIXED
Will now auto use OSM if no Google API key is set - CHANGED
Child terms should not contain the parent term slug - FIXED

v2.0.0.23
Search page can sometimes show no title if no results - FIXED
Single page SEO can now use any custom field by using the field key prefixed with an _underscore eg: %%_email%% - ADDED
Changes for Ratings and CPTs addons - CHANGED
Media not downloading all external media urls - FIXED

v2.0.0.22
Business hours not taking into account daylight savings time (DST) - FIXED
Inline quick save resets the location to default - FIXED
Problems with permalinks that have no trialing slash - FIXED
Added category font icon & font icon color values in api response - ADDED

v2.0.0.21
Some dummy category icons not updated to FA5 - FIXED
Installed dummy data type not reflected on settings screen - FIXED
Don't show add listing `we found a post` message if no main info has been added - CHANGED
API keys not listed - FIXED
Multiselect output for single item is different than for multiple, both now use li - CHANGED
Business hours now shows timezone input to be able to adjust manually - ADDED
Author favs and listing links lead to 404 - FIXED
Sorting not working if set as default - FIXED

v2.0.0.18
Image slider widget not working on listing pages - FIXED
Single image slider will now output as just an image - CHANGED
Apple devices use different kind of apostrophe which does not work for search - FIXED
Fieldset title with special characters outputs incorrect css class - FIXED
List view sorting not working - FIXED
Search shows 404 title if no results with location search - FIXED
Beaver builder editor functionality limited due to font-awesome conflict - FIXED
Required date field validation fires too early - FIXED
Business hours short names broken if weekdays translated - FIXED
Added conversion script to be able to convert listings from v1 to v2 - ADDED
Added support for Location Manager v2 beta - ADDED
Added option to allow beta addons to be installed/updated via WP Easy Updates - ADDED

v2.0.0.16-rc
Updated from font-awesome v4 to v5 - CHANGED
Rest api route & endpoints for fields - ADDED
priceRange custom field added and schema output added - ADDED
Font Awesome & Popup maker raises Uncaught Error - FIXED
DB translate texts tool added - ADDED
Show author own posts on author page if draft or pending - CHANGED
defer and  async tags added to all GD JS - CHANGED
iframe api generation broken (by Google iframe restrictions) changed to new window popup - FIXED
WP Session removed - CHANGED
Remove GeoDirectory data on uninstall if set to do so - ADDED
WP_Country_Database Class implemented to replace own country DB table - CHANGED

v2.0.0.14-beta
Map default language setting is not working for OpenStreetMap - FIXED
GDPR compliance - ADDED
Remove send to friend functionality as it against the GDPR policy - CHANGED
CSS responsive changes and fixes - FIXED
Search page with no query returns its own page - FIXED
Categories widget sub cats not displaying correctly - FIXED
Radio custom fields should not show Yes/No if values are 1/0 without a label - CHANGED/FIXED
Select custom field not showing 0 values - FIXED
OSM address encoder fails if site is non SSL - FIXED
Added setting to be able to disable Yoast SEO on GD pages (if active) - ADDED
Yoast details page og and twitter descriptions using template text instead of post text - FIXED
SD Widget added to be able to display the category description text - ADDED
Some problems with title and meta variables not saving or displaying correctly - FIXED
Categories on add listing page have no hierarchical distinction - FIXED
Custom fields now have placeholder setting where applicable - ADDED
Custom fields settings converted to new style to be more WP like - CHANGED
Sorting settings converted to new style to be more WP like - CHANGED
Sorting settings refactored to use sub queries (delete and re-add sort options recommended) - ADDED
OpenStreetMap populates wrong region for UK - FIXED

v2.0.0.13-beta
Page templates for building layouts now restricted from frontend viewing - CHANGED
GD page settings now contains link to edit/view pages when set - ADDED
Custom fields icon now has option to select font awesome icon from a list - ADDED
validation_pattern for custom fields can have slashes stripped which can break validation - FIXED
File upload custom field can now accept multiple files - CHANGED
File uploads now stored in GD attachments table - CHANGED
Get Directions link moved from CF to widget/shortcode - CHANGED
Get user location for directions now uses manual set if user locations cant be auto detected - ADDED
Setup wizard does not warn user if they try to continue while dummy data is being installed - FIXED
Logo predefined field added, post_images shortcode/widget now has option to show logo as first image - ADDED
Preview listing link now has icon to show it opens in new window - ADDED
Tabs show even if no content in them - FIXED
Option added in GD Listings widget to show nearest listings - ADDED
Titles and Meta settings page added and implemented - ADDED
Shortcode builder outputs multiselect values as array instead of sting - FIXED
Default placeholder images for listings will now use the image title/caption if set - CHANGED
Details slider initial load height very tall, max-height set - CHANGED
Review output given GD specific basic styles - ADDED
Some CSS changes to simplify and improve the basics - CHANGED

v2.0.0.12-beta
Attachment table date_gmt field added - ADDED
Widget show/hide settings improved for better UI - CHANGED
Post meta widget refactored to give the `show` options more flexibility - CHANGED
Tabs Layout section added to be able to drag/drop create the details page tabs - ADDED

v2.0.0.11-beta
gd_listings shortcode/widget sort_by can now use custom sort_by options - CHANGED
Some predefined custom fields are single use only and now show a warning if attempting to add again - CHANGED
Search still looks for featured column even if missing - FIXED
Best of widget CSS and template changes - FIXED
GD Dashboard widget refactored to remove login form when logged out - CHANGED
Fieldset shows error when being added - FIXED
Add listing can sometime show default city warning multiple times - FIXED
Email custom field not showing in map bubble if set to do so - FIXED
Multiselect custom field not resizing DB varchar value on options change - FIXED
General style and spelling corrections - FIXED

v2.0.0.10-beta
gd_map shortcode should not show "Enable marker cluster?" if plugin not active - FIXED
Business Hours: add a text if place is closed whole day - ADDED
Shortcode builder not working with WooCommerce products - FIXED
lat/lon DB length increased from 20 to 22 chars to account for negative decimals - CHANGED
Map direction unit conflicts when multiple maps are on the page - FIXED
Extensions screen improvements functionality and UI - CHANGED
Super Duper Class changed to show shortcode title like widget title if used - CHANGED
Shortcode builder not using 100% height on large displays - FIXED
Category widget output slightly changed for title_tag - CHANGED
Default image not checking for default category image - FIXED

v2.0.0.9-beta
Add listing page shows info might be lost even after save - FIXED
Favorites not adding/removing due to var rename - FIXED
Favorites not adding/removing in map info window - FIXED
Some custom fields not allowing sort by option - FIXED
Added warning if changing default city when listings are present - ADDED
Backend edit review rating missing - FIXED

v2.0.0.8-beta
Sorting options not working on archive pages - FIXED
Schema markup updated and activated - FIXED

v2.0.0.7-beta
Ninja Forms template used wrong format for to field - FIXED

v2.0.0.6-beta
If categories are removed via quick edit we try to add default category - ADDED
Quick edit screen breaks layout of columns - FIXED
CPT settings, required toggle now shown as standard - CHANGED
CPT settings, show/hide advanced settings button moved inside settings - CHANGED
CPT settings, opening one setting will now close all others - CHANGED
Email output mailto spam prevention link not working - FIXED
New setup wizard step added to install recommend plugins - ADDED

v2.0.0.5-beta
Double five star bars in dashboard activity box - FIXED
Select2 updated to v4.0.5 - CHANGED
Post badge feature implemented - CHANGED
Post images CSS and lightbox added - ADDED
New images not being added to current listings - FIXED
WP dashboard recent GD reviews block - FIXED
Ninja Forms can now be used to create contact forms and more (install wizard step remains) - ADDED
KLEO theme deprecated_function problem - FIXED

v2.0.0.4-beta
Tooltips on CPT settings can become stuck when adding a new field - FIXED
Search and archive pages, if no listings found, page is blank - FIXED
Added developer settings section, added setting to disable advanced settings toggle - ADDED
OSM add listing page JS error - FIXED
Autozoom not working for single marker on the map - FIXED
Export button on FireFox causes page refresh which means no access to CSV - FIXED
We now add a uncategorized category on install so you can go straight from the install wizard to add a new post - ADDED
Changing CPT name does not change taxonomies names - FIXED

v2.0.0.3-beta
Shortcode builder button added to pages/posts - ADDED

v2.0.0.2-beta
Business Hours not working on map popup - FIXED
Backend author field should show all users not only authors - FIXED
Backend add listing has no validation - FIXED
Lat/Lon HTML5 number inputs can show comma instead of decimal depending on browser language - FIXED
submit_ip is varchar(20) which will not support IPv6 address - FIXED
Tab description does not respect non-HTML line breaks - FIXED
Added design setting to be able to change what page template file the details page uses for theme compatibility - ADDED

v2.0.0.1-beta
More then one image slider with same id on same page not working - FIXED
Reviews count not showing on listing - FIXED
Category ID settings column too wide - FIXED
GD > Listings widget now used Archive item page template - FIXED
CPT custom fields settings show unused save button - FIXED
Default location setting missing the "Set address on map" button - FIXED

v2.0.0.0-beta
Initial beta release - INFO